## ltsp 5.2.8-0ubuntu1+5.0trisquel1

=== debian/changelog ===
ltsp (5.2.8-0ubuntu1+5.0trisquel1) dagda; urgency=low

  * Rebranded for Trisquel, LDM_DIRECTX=True by default

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 20 Sep 2011 00:17:37 +0000

ltsp (5.2.8-0ubuntu1) natty; urgency=low

  * New upstream bugfix release (5.2.8).
   - Ignore return code of chmod in ltsp-update-kernels (LP: #759965)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 13 Apr 2011 14:32:40 -0400

ltsp (5.2.7-0ubuntu1) natty; urgency=low

  * New upstream bugfix release (5.2.7).
   - Force vmlinuz, initrd and nbi to be readable by tftp daemon (LP: #759115)
   - Fix race condition with ntpdate
   - Update translations
   - Fix inheritence issue in CRONTAB_
   - Simplify run_parts_list function
   - Gentoo specific fixes

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 12 Apr 2011 16:09:22 -0400

ltsp (5.2.6-0ubuntu4) natty; urgency=low

  * Make Edubuntu theme default for LTSP Live on Edubuntu media

 -- Jonathan Carter <jonathan@ubuntu.com>  Tue, 05 Apr 2011 15:19:26 -0400

ltsp (5.2.6-0ubuntu3) natty; urgency=low

  * Fix postinst script generating invalid ssh_known_hosts file on Edubuntu.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 28 Mar 2011 12:22:43 -0400

ltsp (5.2.6-0ubuntu2) natty; urgency=low

  * Fix typo in post-inst script (LP: #730331)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 08 Mar 2011 10:43:17 -0500

ltsp (5.2.6-0ubuntu1) natty; urgency=low

  * New upstream bugfix release (LP: #727339).
   - Disable nbd-proxy by default (fixes thin clients hanging at boot time)
   - ecdsa key support
   - Syntax issue in a "find" call
   - Fixes a possible race condition with fat clients

  * Update postinst script to handle ecdsa keys for edubuntu

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 03 Mar 2011 16:09:47 -0500

ltsp (5.2.5-0ubuntu1) natty; urgency=low

  * New upstream release
   - Implement LTSP remote apps
   - jepipe refactoring, using python-daemon now
   - support updating hardware clock in set_time()
   - Various Debian and Gentoo specific changes
   - Improve initramfs scripts (debug ,race conditions, ...)
   - Code cleanup and translation update
  * Add dependency on python-daemon (required by jetpipe)
  * Sort ltsp-client-core.install and add
   - client/kioskSession (kiosk)
   - localapps/ltsp-open (remote apps)

 -- Stéphane Graber <stgraber@ubuntu.com>  Sun, 05 Dec 2010 23:05:44 -0500

ltsp (5.2.4-0ubuntu6) maverick; urgency=low

  * Fix typo in last upload causing one of the ssh_known_hosts entry to
    be missing. (still Edubuntu-specific)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 09 Sep 2010 21:56:13 -0400

ltsp (5.2.4-0ubuntu5) maverick; urgency=low

  * Update edubuntu hook:
   * Remove call to ltsp-update-sshkeys and replace by own implementation.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 08 Sep 2010 23:37:27 -0400

ltsp (5.2.4-0ubuntu4) maverick; urgency=low

  * Update edubuntu hook to create syslog and messages if they don't exist.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 07 Sep 2010 23:54:36 -0400

ltsp (5.2.4-0ubuntu3) maverick; urgency=low

  * Add edubuntu hook to ltsp-server's postinst so LTSP installs fine.
    It's running ltsp-(update-sshkeys|update-image|update-kernels) if
    /opt/ltsp/i386 and /etc/edubuntu_ltsp_install both exists

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 07 Sep 2010 19:12:14 -0400

ltsp (5.2.4-0ubuntu2) maverick; urgency=low

  * Update the d-i component to use /media/cdrom instead of /cdrom
    as /cdrom doesn't exist in /target anymore.
  * Set Language field for debconf translation or debconf-updatepo
    will set it to an empty value.

  * Fix .diff.gz issue in -0ubuntu1, these upstream changes weren't
    in the binary package. These were upstream bugfixes and optimisations:
   * udhcp now waits for 0.1s instead of 1s
   * Change ltsp-core's way to start upstart
   * Fix configure_cron's check of /etc/cron.d being writeable
   * Add "Language" tag to most .po files
   * Fix X01-localapps's check of /etc being writeable
   * Get rid of .pc directory
   * Change ltsp-update-sshkeys to use /sbin/ip instead of /sbin/ifconfig

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 28 Aug 2010 16:00:58 -0400

ltsp (5.2.4-0ubuntu1) maverick; urgency=low

  * New upstream release (5.2.4)
   * Various Gentoo specifc fixes
   * Unmount binfmt_misc in ltsp-update-image
   * Change cdrom path from /cdrom to /media/cdrom in ltsp-build-client
   * adding a wrapper for rdesktop to work with pasuspender
   * set broadcat address in the udhcpc script
   * Unload compcache if there's another swap space available
   * allow disabling nbd-proxy and disable it on low-memory systems
   * new ltsp-chroot script
   * disable fat client on low-memory systems by default
   * update translations
   * lot of bugfixes

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 31 Jul 2010 18:04:05 -0400

ltsp (5.2.1-0ubuntu8) lucid; urgency=low

  * Make LTSP live working in non-english languages (edubuntu only).

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 22 Apr 2010 08:27:23 -0400

ltsp (5.2.1-0ubuntu7) lucid; urgency=low

  * Fix multi-NIC support in d-i plugin. (LP: #376933)
  * Fix wrong arch on non-i386 in dhcpd.conf (LP: #203954)
  * Add dependency on a plymouth theme so we have a splash.

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 10 Apr 2010 20:15:10 -0400

ltsp (5.2.1-0ubuntu6) lucid; urgency=low

  * Fix d-i component to correctly generate ssh_known_hosts.

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 10 Apr 2010 18:01:25 -0400

ltsp (5.2.1-0ubuntu5) lucid; urgency=low

  * Fix typo in the ltsp-livecd script.

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 27 Mar 2010 12:15:54 -0400

ltsp (5.2.1-0ubuntu4) lucid; urgency=low

  * Update the LTSP liveCD scripts and launchers (affects only Edubuntu DVD).

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 24 Mar 2010 19:22:38 -0400

ltsp (5.2.1-0ubuntu3) lucid; urgency=low


