=== debian/control ===
Source: ltsp
Section: misc
Priority: extra
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Build-Depends: debhelper (>= 5), flex, bison, libpopt-dev, po-debconf, libgtk2.0-dev
Standards-Version: 3.8.4
Homepage: http://www.ltsp.org
Vcs-Bzr: http://bazaar.launchpad.net/~ltsp-upstream/ltsp/ltsp-trunk
Vcs-Browser: http://bazaar.launchpad.net/~ltsp-upstream/ltsp/ltsp-trunk

Package: ltsp-server
Depends: ${misc:Depends}, ${shlibs:Depends}, debootstrap, lsb-release, iproute, debconf-utils, python (>= 2.4), openbsd-inetd | inet-superserver, update-inetd, tcpd, gettext-base, nbd-server, squashfs-tools
Recommends: openssh-server | ssh, ltspfs, ldm-server, tftpd-hpa
Suggests: dhcp3-server, sdm, audiooss, nfs-kernel-server
Conflicts: ltsp-utils
Replaces: ltsp-utils
Architecture: all
Description: Basic LTSP server environment
 This is the basic environment depending on an external DHCP server to
 point the clients to the LTSP server.

Package: ltsp-server-standalone
Depends: ${misc:Depends}, ${shlibs:Depends}, ltsp-server, libasound2-plugins, ltspfs, openssh-server, nbd-server, xbase-clients, ldm-server
Recommends: pulseaudio-esound-compat, dhcp3-server
Architecture: all
Description: Complete LTSP server environment
 This is the complete environment including a DHCP server to bootstrap
 the clients.
 
Package: ltsp-client-core
Pre-Depends: debconf (>= 0.5) | debconf-2.0
Depends: ${misc:Depends}, ${shlibs:Depends}, lsb-base, nbd-client, initramfs-tools (>= 0.11), syslinux [i386 amd64], mkelfimage[i386] | yaboot[powerpc] | aboot[alpha] | sparc-utils[sparc], lsb-release, kbd, console-setup, python, tftp-hpa, python-serial, numlockx, udhcpc, cron, pciutils, usbutils, python-daemon
Architecture: any
Description: LTSP client environment (core)
 The scripts needed to configure and boot an LTSP client.
 .
 DO NOT install this package on a regular machine, it is intended only
 for installation inside a LTSP client filesystem.

Package: ltsp-client
Depends: ${misc:Depends}, ${shlibs:Depends}, ltsp-client-core, ldm | x-display-manager, pulseaudio-esound-compat, ltspfsd, libgl1-mesa-dri, xorg, laptop-detect, inputattach, plymouth-theme-trisquel-logo | usplash-theme-trisquel, plymouth-theme-trisquel-text | usplash-theme-trisquel, dmz-cursor-theme, libasound2-plugins, pulseaudio, alsa-utils, alsa-base, sshfs, dbus, rdesktop, wget, sane-utils, cups-bsd
Suggests: cryptsetup
Architecture: all
Description: LTSP client environment
 The scripts needed to configure and boot an LTSP client.

Package: ltsp-client-builder
Section: debian-installer
XC-Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, pkgsel
XB-Installer-Menu-Item: 7000
Description: Build an LTSP environment in the installer target
 This udeb bootstraps the LTSP client chroot in the installer target 
 while the cdrom is still mounted.

Package: ltsp-livecd
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, zenity
Description: starts an LTSP live server on an Ubuntu livecd session
 This script installs the ltsp-server-standalone package and dependencies
 from packages intalled on a live CD and then initiates an LTSP server
 session using a pre-built squashfs image supplied on the disc.
 .
 You would normally not want to install this package.
