## ltsp 5.2.16

=== debian/changelog ===
ltsp (5.2.16-1) unstable; urgency=low

  * New upstream version:
    - ltsp-server:
      + ltsp-update-sshkeys: consistantly handle when ssh host keys are not 
        present.
      + Remove abi and vmcoreinfo in ltsp-update-kernels cleanup function.
        (LP: #769154)
      + Add support for named NBD exports to ltsp-update-image.
      + Add nbd-update-config script to support named NBD exports.

    - ltsp-build-client:
      + Add --kernel-version and --kernel-variant commandline options.
      + Default to version 8 for kfreebsd kernel images.
      + Drop support for lenny with squashfs-images.
      + Switch to qemu-debootstrap to handle cross-architecture building.
      + Use debootstrap's --variant=minbase instead of a long list of outdated 
        excludes.
      + Fix inverted logic appending locales package to debootstrap includes.
      + Use cdn.debian.net as the default mirror.
      + Check for NFS exports in /etc/exports.d/*.exports.
      + Add --eatmydata commandline option for faster development testing by 
        using eatmydata LD_PRELOAD.

    - ltsp-client-core:
      + Add an xterm screen script.
      + Replace rdesktop screen script with one that supports both xfreerdp 
		and rdesktop.
      + Remove modesetting part of XRANDR_AUTO_MULTIHEAD. Causes more
        problems than it solves.
      + Update ltsp_nbd to support named NBD exports.
      + Update ltsp_config to work with named NBD exports.
      + Update nbd-proxy to support named NBD exports.
      + ltsp-init-common: support /run/sendsigs.omit.d in 
        nbd_sendsigs_protection function.
      + ltsp-init-common: Fix issues with RCFILE_* and MODULE_* lts.conf i
        variables.

    - ltsp-common-functions:
      + Detect nc version for nc -q capability.

  * Change architecture for linux-specific dependencies to use linux-any
    rather than an exclude list. Thanks to Robert Millan (Closes: #634318).
  * Only install nbd-proxy on linux based architectures. 
  * ltsp-client: allow freerdp-x11 as an alternative to rdesktop. 
  * Patch from upstream to fix check for NFS exports in 
    /etc/exports.d/*.exports.
  * debian/rules: Convert to using debhelper overrides.
  * ltsp-server: Remove check for NFS exports from postinst, as it is
    handled better in an ltsp-build-client plugin.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 14 Aug 2011 07:53:58 -0700

ltsp (5.2.8-1) unstable; urgency=low

  * New upstream version:
    - Fix lts.conf CRONTAB_* entries.
    - ltsp_config: Disable filename expansion when setting environment 
      variables.
    - ltsp-init-common: Do not run ntpdate backgrounded, as this can fail on 
      fast thin clients.
    - Ensure vmlinuz, initrd and nbi are ALWAYS readable by the tftp daemon.
    - Updated translations:
      + Catalan (ca), by Jordà Polo and Jordi Mallach (Closes: #619437).
      + Finnish (fi), Esko Arajärvi (Closes: #618937).
      + Slovak (sk), by Slavko (Closes: #618410).

  * ltsp-client-core: install rdesktop.sh, used by the rdesktop screen script.
    Thanks to Rainer Stumbaum. (Closes: #626502)

  * Remove patch fix-run-parts-list-breakage, applied upstream. 

  * debian/control: 
    - Switch to DM-Upload-Allowed.
    - Update Vcs-Bzr and Vcs-Browser.
    - Update Standards-Version to 3.9.2, no changes.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 03 Jun 2011 13:11:54 -0700

ltsp (5.2.6-1) unstable; urgency=low

  * New upstream version:
    - initramfs-tools hooks:
      + ltsp_nbd:
        - Retry establishing NBD connections up to 10 times.
        - Mention which NBD server failed to connect.
        - Do not use nbd-proxy by default.
      + udhcp: Don't send a client id (LP #505916).
    - ltsp-update-sshkeys: Add support for ecdsa keys.
    - ltsp-bindmounts: new variables to append to default writeable directories
      and files.
    - ltsp-build-client: Crude support for multistrap as an alternative to
      debootstrap.
    - jetpipe: Use python's daemon library to background.
    - Rewrite of remote apps support.

  * New Danish (da) translation of debconf messages by Joe Dalton.
    (Closes: #599436)
  * ltsp-server:
    - Prefer isc-dhcp-server over other dhcp servers. 
  * ltsp-client:
    - Depend on python-daemon for newer version of jetpipe. 
  * debian/patches:
    - Drop  initramfs-configure-dns, applied upstream.
    - Add patch to fix breakage in ltsp-init-common run_parts_list function.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 18 Mar 2011 14:14:49 -0700
