=== debian/changelog ===
ltsp (5.2.16-0ubuntu7+5.5trisquel1) brigantia; urgency=low

  * Rebranded for Trisquel, LDM_DIRECTX=True by default

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 10 Jun 2012 14:34:53 +0000

ltsp (5.2.16-0ubuntu7) oneiric; urgency=low

  * Change ltsp-live configuration script to use /bin/bash for the guest
    users.
  * In ltsp-live, only generate guest accounts for IPs that are given out
    by dnsmasq.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 29 Sep 2011 12:40:11 -0400

ltsp (5.2.16-0ubuntu6) oneiric; urgency=low

  * Re-introduce ltsp-server-standalone that disappeared after the call
    to wrap-and-sort (for some unknown reason)
  * Drop Recommends from ltsp-client-core that got added by mistake
    by wrap-and-sort

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 19 Sep 2011 09:21:01 -0400

ltsp (5.2.16-0ubuntu5) oneiric; urgency=low

  * Add dependency on all the fonts shipped by Ubuntu.
    This should fix rendering for most languages. (LP: #838845)
  * Run wrap-and-sort to make lists a bit more readable.

 -- Stéphane Graber <stgraber@ubuntu.com>  Sun, 18 Sep 2011 17:36:20 -0400

ltsp (5.2.16-0ubuntu4) oneiric; urgency=low

  * Fix LTSP-Live opening user session in the wrong language (LP: #838268)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 31 Aug 2011 13:52:53 -0400

ltsp (5.2.16-0ubuntu3) oneiric; urgency=low

  * Add language-pack-en by default to all chroot
    (required to get ldm to translate the UI at all)
  * Always set LANG to en_US.UTF-8 in LTSP Live and set
    LANGUAGE to the current value of $LANG to get ldm translated.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 30 Aug 2011 13:55:50 -0400

ltsp (5.2.16-0ubuntu2) oneiric; urgency=low

  * Replace ltsp-live by new code properly configuring Network Manager
    and supporting translation (LP: #791611)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 24 Aug 2011 16:51:55 -0400

ltsp (5.2.16-0ubuntu1) oneiric; urgency=low

  * New upstream release (5.2.16)
    - Updated nbd-server to support named mounts (disabled by default)
    - Update ltsp-update-kernels to also clean symvers-*.gz
    - 091-unmount-dirs: Remove noise if /proc/mounts does not exist
    - ltsp-update-sshkeys: Noisy and not helpful error messages
    - ltsp-update-sshkeys: missing ecdsa host key is valid
    - Added tftp-dirs and purge-chroot options to ltsp-build-client man.
    - Multiple fedora, gentoo and debian specific changes

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 11 Aug 2011 12:27:14 -0400

ltsp (5.2.13-0ubuntu1) oneiric; urgency=low

  * New upstream bugfix release (5.2.13)
    - Fix missing import in nbd-update-image
  * Fix ltsp-client-builder udeb to work with /run
  * Bump standards

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 01 Aug 2011 17:08:00 -0400

ltsp (5.2.12-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Make ltsp-update-sshkeys consistent when missing host keys
    - Add support for nbdname to ltsp-update-image (LP: #806419, LP: #331600)
    - Add support for /run/sendsigs.omit.d in nbd_sendsigs_protection
    - Update ltsp_nbd for named nbd devices support (LP: #806419, LP: #331600)
    - Allow setting tftp-dirs from ltsp-build-client.
      Patch from Wim Muskee. (LP: #417127)
    - Only call asoundconf if it actually exists (LP: #609766)
    - Also copy sources.list.d entries when using --copy-sourceslist,
      thanks to Jimmy Hedman (LP: #706691)
    - Remove abi and vmcoreinfo in ltsp-update-kernels
      cleanup function (LP: #769154)
    - screen.d/xterm: pass a single, quoted command to xinitrc
    - screen.d/xfreerdp: pass a single, quoted command to xinitrc
    - Replace screen.d/rdesktop by screen.d/xfreerdp
      and make rdesktop a symlink
    - Add an xterm session script
    - Detect nc version for nc -q capability
    - Fix issues with RCFILE_ and MODULE_ (patch from jam@tigger.ws)
    - Remove modesetting part of XRANDR_AUTO_MULTIHEAD.
    - Update translations
    - ltsp-vmclient is obsolete.  Mark it as an example.
    - new version of nbd-proxy (off by default)

  * Remove rdesktop.sh from ltsp-client-core (no longer exists)
  * Add nbd-update-config to /usr/share/ltsp/scripts/
  * Set NBD_NAMED to 1 in ltsp-update-image.conf

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 01 Aug 2011 09:25:20 -0400

ltsp (5.2.8-0ubuntu2) oneiric; urgency=low

  * Add ltsp-bindmounts from Debian (LP: #620133)
  * Resync debian/copyright from Debian

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 07 Jul 2011 10:10:09 +0200
