=== debian/control ===
Source: ltsp
Section: misc
Priority: extra
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Build-Depends: bison,
               debhelper (>= 5),
               flex,
               libgtk2.0-dev,
               libpopt-dev,
               po-debconf
Standards-Version: 3.9.2
Homepage: http://www.ltsp.org
Vcs-Bzr: http://bazaar.launchpad.net/~ltsp-upstream/ltsp/ltsp-trunk
Vcs-Browser: http://bazaar.launchpad.net/~ltsp-upstream/ltsp/ltsp-trunk

Package: ltsp-server
Depends: debconf-utils,
         debootstrap,
         gettext-base,
         iproute,
         lsb-release,
         nbd-server,
         openbsd-inetd | inet-superserver,
         python (>= 2.4),
         squashfs-tools,
         tcpd,
         update-inetd,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ldm-server, ltspfs, openssh-server | ssh, tftpd-hpa
Suggests: audiooss, dhcp3-server, nfs-kernel-server, sdm
Conflicts: ltsp-utils
Replaces: ltsp-utils
Architecture: all
Description: Basic LTSP server environment
 This is the basic environment depending on an external DHCP server to
 point the clients to the LTSP server.

Package: ltsp-server-standalone
Depends: ldm-server,
         libasound2-plugins,
         ltsp-server,
         ltspfs,
         nbd-server,
         openssh-server,
         xbase-clients,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: dhcp3-server, pulseaudio-esound-compat
Architecture: all
Description: Complete LTSP server environment
 This is the complete environment including a DHCP server to bootstrap
 the clients.

Package: ltsp-client-core
Depends: console-setup,
         cron,
         initramfs-tools (>= 0.11),
         kbd,
         lsb-base,
         lsb-release,
         mkelfimage[i386] | yaboot[powerpc] | aboot[alpha] | sparc-utils[sparc],
         nbd-client,
         numlockx,
         pciutils,
         python,
         python-daemon,
         python-serial,
         syslinux [i386 amd64],
         tftp-hpa,
         udhcpc,
         usbutils,
         ${misc:Depends},
         ${shlibs:Depends}
Architecture: any
Description: LTSP client environment (core)
 The scripts needed to configure and boot an LTSP client.
 .
 DO NOT install this package on a regular machine, it is intended only
 for installation inside a LTSP client filesystem.
Pre-Depends: debconf (>= 0.5) | debconf-2.0

Package: ltsp-client
Depends: alsa-base,
         alsa-utils,
         cups-bsd,
         dbus,
         dmz-cursor-theme,
         inputattach,
         language-pack-en,
         laptop-detect,
         ldm | x-display-manager,
         libasound2-plugins,
         libgl1-mesa-dri,
         ltsp-client-core,
         ltspfsd,
         plymouth-theme-trisquel-logo | usplash-theme-trisquel,
         plymouth-theme-trisquel-text | usplash-theme-trisquel,
         pulseaudio,
         pulseaudio-esound-compat,
         rdesktop,
         sane-utils,
         sshfs,
         ttf-dejavu-core,
         ttf-freefont,
         ttf-indic-fonts-core,
         ttf-kacst-one,
         ttf-khmeros-core,
         ttf-lao,
         ttf-liberation,
         ttf-punjabi-fonts,
         ttf-takao-pgothic,
         ttf-thai-tlwg,
         ttf-ubuntu-font-family,
         ttf-unfonts-core,
         ttf-wqy-microhei,
         wget,
         xorg,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: cryptsetup
Architecture: all
Description: LTSP client environment
 The scripts needed to configure and boot an LTSP client.

Package: ltsp-client-builder
Section: debian-installer
XC-Package-Type: udeb
Architecture: all
Depends: pkgsel, ${misc:Depends}, ${shlibs:Depends}
XB-Installer-Menu-Item: 7000
Description: Build an LTSP environment in the installer target
 This udeb bootstraps the LTSP client chroot in the installer target
 while the cdrom is still mounted.

Package: ltsp-livecd
Architecture: all
Depends: python, python-gobject, ${misc:Depends}, ${shlibs:Depends}
Description: starts an LTSP live server on an Ubuntu livecd session
 This script installs the ltsp-server-standalone package and dependencies
 from packages intalled on a live CD and then initiates an LTSP server
 session using a pre-built squashfs image supplied on the disc.
 .
 You would normally not want to install this package.
