## ltsp 5.3.4

=== debian/changelog ===
ltsp (5.3.4-1) unstable; urgency=low

  * New upstream version:
    - Remove ltsp-setup init script.
    - Update lsb headers on ltsp-core init script.
    - Remove references to usplash.
    - Moved some ltsp-init-common functions to init-ltsp.d hooks.
    - Rearrange init-ltsp.d scripts to set SERVER earlier and consistantly.
    - Provide a KEEP_SYSTEM_SERVICES whitelist in init-ltsp.d hooks.
    - Update xfreerdp script to handle the case where rdesktop or xfreerdp
      aren't installed.
    - Consistantly use 192.168.0.1 as default server.
    - Append to ltsp_config instead of overwriting it.
    - Set sound volume on fat clients too (LP: #923923).
    - Disconnect NBD mounts when the ltsp-client service is stopped.

  * ltsp-client: 
    - Add versioned dependency on ltspfsd >= 1.1.
    - Add dependency on x11-xserver-utils for xrandr support.
    - Add dependency on cron.

  * ltsp-client-core:
    - Update lintian overrides to ignore warnings/errors about remote 
      filesystem issues that don't make sense for LTSP.

  * debian/control: 
    - Remove inactive maintainers from Uploaders, thanks for all past and 
      hopefully future contributions!
    - Update Standards-Version to 3.9.3, no changes necessary.

  * debian/watch: 
    - Remove entry to check Fedora, which has not been updated for some time.

  * debian/patches:
    - Update use-test-binary.
    - Remove use-invokercd-initscripts, obsoleted upstream.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 05 Mar 2012 19:18:50 -0800

ltsp (5.3.1-1) unstable; urgency=low

  * New upstream release:
    - Most ltsp-build-client plugins have now been moved to ltsp-init.d
      scripts, applying at boot time instead of build time.
    - Massive rework of all our init scripts, including deprecation of
      ltsp-client-setup.
    - Better NBD handling, using the upstream NBD scripts. LTSP is now
      using named NBD mount for both root and swap.
    - Moved from a whitelist of boot services to a blacklist, please get
      in touch with upstream if you noticed something that needs
      blacklisting.
    - New improved nbd-proxy with support for named NBD mounts
      (nbd-proxy is turned off by default)
    - Improvements to ltsp-update-image including use of ionice by default.
    - Lots of fat clients improvement.
    - Proper handling of resolvconf
    - LTSP now ships /sbin/init-ltsp that's used to configure the thin
      client at boot time.
    - Improve ltsp-chroot command (it even has a manpage now).
    - Better handling of mixed NFS and NBD environment.
    - More consistent use of ltsp_config and ltsp-*-functions giving us
      a consistent environment and avoiding some delays.
    - Improved sound volume handling using udev rule instead of the old
      script.
    - Default to use NFS with a writeable aufs overlay for the entire root 
      filesytem.
    - ltsp-build-client: Configure ltsp-update-image depending on type of 
      installed environment to ensure running ltsp-update-image doesn't 
      automatically convert from one type of network boot to another.
    - Add fat-client ltsp-build-client plugin.
    - Fix ltsp-build-client kiosk plugin to use kiosk screen
      session (Closes: #659396).
    - ltsp-build-client locales plugin: Copy /etc/default/keyboard if present.
    - Start ltsp-client-core only when an LTSP boot was requested.
    - Plenty of other fixes, thanks to everyone involved with this release!

  * debian/control:
    - ltsp-client: Add dependency on rsyslog or system-log-daemon.
    - ltsp-client: Prefer freerdp-x11 over rdesktop.
    - ltsp-client-core: Add dependency on iproute, used to detect the client 
      mac address.
    - ltsp-client-core: Recommend procps, used in much of the LTSP codebase.

  * debian/rules: 
    - Use override_dh_install for nbd-proxy and po-file installation.
    - Install nbd-client-proxy.
    - Use dh_autoreconf to call autogen.sh.

   * Slovak (sk) translation of debconf messages by Slavko (Closes: #651727).

   * debian/patches: Remove check-exports-d, applied upstream.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 20 Feb 2012 22:15:41 -0800
